---
title: Update FR Store Cluster Local Rate
slug: api-documentation/update-fr-store-cluster-local-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "e01fTV25gDjDBSyvNG_Q7",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-cluster-local-rate/location-rates/{locationId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-cluster-local-rate/location-rates/{locationId}"
      }
    ],
    "name": "Update FR Store Cluster Local Rate",
    "description": "<p>This endpoint is used to update store distance rate for FR.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.create</code></li>\n<li><code>dmc-shipping-calc.update</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "locationId",
          "type": "string",
          "description": "The store id of the stored record which is to be deleted."
        }
      ],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "FRStoreClusterLocalRateRequest",
          "schema": [
            {
              "name": "siteId",
              "kind": "required",
              "type": "string",
              "description": "Configuration's site identifier."
            },
            {
              "name": "locationId",
              "kind": "required",
              "type": "string",
              "description": "The store ID for which the rates are specified.",
              "minLength": 1
            },
            {
              "name": "isActive",
              "kind": "optional",
              "type": "boolean",
              "description": "A flag that tells whether this configuration is active or not.",
              "default": true
            },
            {
              "name": "storeLocalDeliveryRate",
              "kind": "required",
              "type": "object",
              "description": "",
              "example": "",
              "schema": [
                {
                  "name": "baseDistance",
                  "kind": "required",
                  "type": "number<double>",
                  "description": "Store's minimum delivery distance.",
                  "format": "double"
                },
                {
                  "name": "maximumDistance",
                  "kind": "required",
                  "type": "number<double>",
                  "description": "Store's maximum delivery distance.",
                  "format": "double"
                },
                {
                  "name": "baseMinimumCost",
                  "kind": "required",
                  "type": "number",
                  "description": "Minimum threshold of sum price of all products bought by the customer for premium rates."
                },
                {
                  "name": "baseMaximumCost",
                  "kind": "required",
                  "type": "number",
                  "description": "Maximum threshold of sum price of all products bought by the customer for premium rates."
                },
                {
                  "name": "percentageSubtotal",
                  "kind": "required",
                  "type": "number",
                  "description": "The percentage applied to the subtotal amount to calculate the premium rates."
                },
                {
                  "name": "perMileCost",
                  "kind": "required",
                  "type": "number",
                  "description": "The cost of each mile the parcel has to travel to reach the destination outside Base Rate Distance Delivery but within the Maximum Distance Delivery area."
                },
                {
                  "name": "basicRateUpperSubtotalLimit",
                  "kind": "required",
                  "type": "number",
                  "description": "The upper threshold level of subtotal for Basic Rate to be applicable."
                },
                {
                  "name": "basicRatePromotionalSubtotalLimit",
                  "kind": "optional",
                  "type": "number",
                  "description": "<p>The upper limit of promotional subtotal, for free basic delivery.</p>"
                },
                {
                  "name": "premiumDeliveryCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "Premium service charges."
                },
                {
                  "name": "basicDeliveryCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "Basic service charges."
                },
                {
                  "name": "basicConfigurationsEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "A flag that tells whether basic rate configuration is active or not."
                },
                {
                  "name": "premiumConfigurationsEnabled",
                  "kind": "required",
                  "type": "boolean",
                  "description": "A flag that tells whether premium rate configuration is active or not."
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/FRStoreClusterLocalRateRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>OK-the store distance rates are updated successfully.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "TZs6uaHbYq_l-QSkKs33o",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-cluster-local-rate/location-rates/{locationId} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"siteId\": \"\",\n     \"locationId\": \"\",\n     \"isActive\": true,\n     \"storeLocalDeliveryRate\": {\n     \"baseDistance\": \"\",\n     \"maximumDistance\": \"\",\n     \"baseMinimumCost\": \"\",\n     \"baseMaximumCost\": \"\",\n     \"percentageSubtotal\": \"\",\n     \"perMileCost\": \"\",\n     \"basicRateUpperSubtotalLimit\": \"\",\n     \"premiumDeliveryCharges\": \"\",\n     \"basicDeliveryCharges\": \"\",\n     \"basicConfigurationsEnabled\": \"\",\n     \"premiumConfigurationsEnabled\": \"\"\n     }\n     }'"
        },
        {
          "id": "z4smwuLVhrIXGUmTgBWOo",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"siteId\": \"\",\n   \"locationId\": \"\",\n   \"isActive\": true,\n   \"storeLocalDeliveryRate\": {\n      \"baseDistance\": \"\",\n      \"maximumDistance\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"percentageSubtotal\": \"\",\n      \"perMileCost\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"basicDeliveryCharges\": \"\",\n      \"basicConfigurationsEnabled\": \"\",\n      \"premiumConfigurationsEnabled\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-cluster-local-rate/location-rates/{locationId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "kJQY6y49A9YF_8ljshfF2",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-cluster-local-rate/location-rates/{locationId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"siteId\": \"\",\n   \"locationId\": \"\",\n   \"isActive\": true,\n   \"storeLocalDeliveryRate\": {\n      \"baseDistance\": \"\",\n      \"maximumDistance\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"percentageSubtotal\": \"\",\n      \"perMileCost\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"basicDeliveryCharges\": \"\",\n      \"basicConfigurationsEnabled\": \"\",\n      \"premiumConfigurationsEnabled\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "XzwFGqhixqTx2sjT5zkLk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-cluster-local-rate/location-rates/{locationId}\"\n\npayload = json.dumps({\n   \"siteId\": \"\",\n   \"locationId\": \"\",\n   \"isActive\": True,\n   \"storeLocalDeliveryRate\": {\n      \"baseDistance\": \"\",\n      \"maximumDistance\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"percentageSubtotal\": \"\",\n      \"perMileCost\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"basicDeliveryCharges\": \"\",\n      \"basicConfigurationsEnabled\": \"\",\n      \"premiumConfigurationsEnabled\": \"\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "TZs6uaHbYq_l-QSkKs33o"
    },
    "results": {
      "languages": [
        {
          "id": "wpYnK78DZXsQ0PCXV2b12",
          "language": "200",
          "code": "// OK-the store distance rates are updated successfully.\n"
        },
        {
          "id": "yfvxgoWJ4C0pyciZJqQsr",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "SqhI93tuia3YyCYZCbi58",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "wpYnK78DZXsQ0PCXV2b12"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}